/*
 * $Id: Constants.java 376841 2006-02-10 21:01:28Z husted $
 *
 * Copyright 1999,2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package it.eng.spago.taglib.html;


/**
 * Manifest constants for this package.
 */
public class Constants {
	
    public static final String NOME_MODULO = "HTML TAGS";
	
    /**
     * The name of this package.
     */
    public static final String Package = "it.eng.spago.taglib.html";

    /**
     * The property under which a Cancel button press is reported.
     */
    public static final String CANCEL_PROPERTY = Package + ".CANCEL";

    /**
     * The property under which a Cancel button press is reported, if the
     * Cancel button is rendered as an image.
     */
    public static final String CANCEL_PROPERTY_X = Package + ".CANCEL.x";

    /**
     * The attribute key for the form tag itself.
     */
    public static final String FORM_KEY = Package + ".FORM";

    /**
     * The attribute key for the select tag itself.
     */
    public static final String SELECT_KEY = Package + ".SELECT";

    /**
     * The property under which a transaction token is reported.
     */
    public static final String TOKEN_KEY = Package + ".TOKEN";
    
    /**
     * The page attributes key under which xhtml status is stored.  This may
     * be "true" or "false".  When set to true, the html tags output xhtml.
     *
     * @since Struts 1.1
     */
    public static final String XHTML_KEY = "org.apache.struts.globals.XHTML";
    
    /**
     * The request attributes key under which your action should store an
     * <code>org.apache.struts.action.ActionErrors</code> object, if you are
     * using the corresponding custom tag library elements.
     */
    public static final String ERROR_KEY = "org.apache.struts.action.ERROR";

    public static final String MESSAGES_KEY = "messages_html";
    
    /**
     * The request attributes key under which Struts custom tags might store a
     * <code>Throwable</code> that caused them to report a JspException at
     * runtime.  This value can be used on an error page to provide more
     * detailed information about what really went wrong.
     */
    public static final String EXCEPTION_KEY =
        "org.apache.struts.action.EXCEPTION";

    /**
     * Default form name if not specified.
     */
    public static final String DEFAULT_FORM_NAME = "default";
    
}
